var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent, computed, ref, openBlock, createBlock, unref, withCtx, createVNode, renderSlot, normalizeClass, createElementVNode, createCommentVNode, createTextVNode } from "vue";
import { withTheme } from "../../theme/index.js";
import { Popover, PopoverButton, PopoverPanel } from "../../node_modules/@headlessui/vue/dist/components/popover/popover.esm.js";
const _hoisted_1 = /* @__PURE__ */ createTextVNode(" Solutions ");
const _hoisted_2 = { class: "px-4 py-2 bg-primary text-textContrast rounded-full text-sm" };
const __default__ = { name: "u-tooltip" };
const _sfc_main = /* @__PURE__ */ defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: {
    top: { type: Boolean, default: true },
    left: { type: Boolean },
    right: { type: Boolean },
    bottom: { type: Boolean },
    hover: { type: Boolean, default: true },
    click: { type: Boolean, default: false }
  },
  setup(__props) {
    const props = __props;
    const classes = computed(() => {
      const styles = withTheme("tooltip");
      const object = __spreadValues({}, styles);
      if (props.bottom)
        object.position = "top-full mt-2";
      if (props.top)
        object.position = "bottom-full mb-2";
      if (props.left)
        object.position = "right-full mr-2";
      if (props.right)
        object.position = "left-full ml-2";
      return object;
    });
    const open = ref(false);
    let activators = {
      mouseover: (e) => reveal(),
      mouseleave: (e) => reveal()
    };
    const clickEvent = {
      click: (e) => reveal()
    };
    if (props.click)
      activators = clickEvent;
    function reveal(time) {
      open.value = !open.value;
      if (time)
        setTimeout(reveal, time);
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Popover), { class: "relative flex flex-col items-center" }, {
        default: withCtx(() => [
          createVNode(unref(PopoverButton), null, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "activator", {
                on: unref(activators),
                reveal
              }, () => [
                _hoisted_1
              ])
            ]),
            _: 3
          }),
          open.value ? (openBlock(), createBlock(unref(PopoverPanel), {
            key: 0,
            static: "",
            class: normalizeClass(["absolute z-10", unref(classes).position])
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "tooltip", {}, () => [
                createElementVNode("div", _hoisted_2, [
                  renderSlot(_ctx.$slots, "default")
                ])
              ])
            ]),
            _: 3
          }, 8, ["class"])) : createCommentVNode("", true)
        ]),
        _: 3
      });
    };
  }
}));
export { _sfc_main as default };
//# sourceMappingURL=tooltip.js.map
